package com.sqx.modules.bl.commission.fxy.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sqx.modules.bl.commission.fxy.entity.FxyApply;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FxyApplyDao extends BaseMapper<FxyApply> {
    IPage<FxyApply> findPage(Page<FxyApply> page, @Param("params") FxyApply fxyApply);
    int add(FxyApply fxyApply);
    int update(FxyApply fxyApply);
    int approve(FxyApply fxyApply);
    IPage<FxyApply> findUserPage(Page<FxyApply> page, @Param("params") FxyApply fxyApply);
}